---
extracts:
  - name: CA10__engine__c
    value:
      FIELD:
        path: CA10__engine__c
        undeterminedIf:
          # https://docs.aws.amazon.com/cli/latest/reference/rds/describe-db-clusters.html
          # "Engine" attribute represents a non-nullable string.
          isEmpty: DB Engine value cannot be empty. Potential data corruption.
# Values: Yes | No. Not nullable. Cannot have no access, retrieved via rds:DescribeDBClusters
  - name: CA10__autoMinorVersionUpgrade__c
    value:
      FIELD:
        path: CA10__autoMinorVersionUpgrade__c
# Checkbox.
  - name: CA10__multiAZ__c
    value:
      FIELD:
        path: CA10__multiAZ__c
# Checkbox.
  - name: CA10__storageEncrypted__c
    value:
      FIELD:
        path: CA10__storageEncrypted__c
# Text.
  - name: CA10__masterUsername__c
    value:
      FIELD:
        path: CA10__masterUsername__c
# Checkbox.
  - name: CA10__iamDatabaseAuthenticationEnabled__c
    value:
      FIELD:
        path: CA10__iamDatabaseAuthenticationEnabled__c
  - name: CA10__status__c
    value:
      FIELD:
        path: CA10__status__c
        undeterminedIf:
          # https://docs.aws.amazon.com/cli/latest/reference/rds/describe-db-clusters.html
          # "Engine" attribute represents a non-nullable string.
          isEmpty: DB Status value cannot be empty. Potential data corruption.
# Nullable. Can't have no access, retrieved via rds:DescribeDBClusters
  - name: CA10__enabledCloudwatchLogsExports__c
    value:
      FIELD:
        path: CA10__enabledCloudwatchLogsExports__c
# Checkbox.
  - name: CA10__copyTagsToSnapshot__c
    value:
      FIELD:
        path: CA10__copyTagsToSnapshot__c
